Skip to content

Create Order Selection Options

Request

You can create customized order selection options for your customers at the check-out on the Customer Collaboration Platform. Define custom order batch sizes, lead time, order size, etc.

Security
BearerAuth
Headers
Acceptstring(OrderManagementAcceptHeader)required

Set this to application/api.luminovo.order-management-v1+json.

Value:"application/api.luminovo.order-management-v1+json"
Bodyapplication/jsonrequired
rfqstring, (uuid)required
custom_textstring or null
custom_text_headerstring or null
valid_untilstring or null, (date-time)
optionsArray of objects(types.order_management.order_selection_option.v1.CustomOrderSelectionOptionInput)required
POST
/order-management/order-selection
curl -i -X POST \
  https://api.luminovo.com/order-management/order-selection \
  -H 'Accept: application/api.luminovo.order-management-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "rfq": "86078267-4e83-4409-a4a8-060d182cafeb",
    "custom_text": "string",
    "custom_text_header": "string",
    "valid_until": "2019-08-24T14:15:22Z",
    "options": [
      {
        "external_id": "string",
        "order_size": 0,
        "batch_size": 0,
        "price": {
          "amount": "12.50",
          "currency": "EUR"
        },
        "lead_time_in_days": 0
      }
    ]
  }'

Responses

Order selection options created.